Bug 1582066 - Inconsistent access permissions on directories after bringing back the down sub-volumes
Summary: Inconsistent access permissions on directories after bringing back the down s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1584517
TreeView+ depends on / blocked
 
Reported: 2018-05-24 06:43 UTC by Prasad Desala
Modified: 2018-09-11 05:34 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1584517 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:48:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:49:57 UTC

Description Prasad Desala 2018-05-24 06:43:41 UTC
Description of problem:
=======================
Inconsistent access permissions on directories after bringing back the down sub-volumes.

Client side:
=============
drwxrwxrwx. 3 root  root  4096 May 24 11:29 e

[root@dhcp distrepx3_new]# stat e
[root@dhcp37-110 distrepx3_new]# stat e
  File: ‘e’
  Size: 4096      	Blocks: 8          IO Block: 131072 directory
Device: 29h/41d	Inode: 11796369817034603590  Links: 3
Access: (0777/drwxrwxrwx)  Uid: (    0/    root)   Gid: (    0/    root)
Context: system_u:object_r:fusefs_t:s0
Access: 2018-05-24 11:29:05.629102909 +0530
Modify: 2018-05-24 11:29:05.684102613 +0530
Change: 2018-05-24 11:38:59.184909305 +0530
 Birth: -

Brought down brick:
======================
[root@dhcp ~]# stat /bricks/brick0/distrepx3-b0/e
  File: ‘/bricks/brick0/distrepx3-b0/e’
  Size: 15        	Blocks: 0          IO Block: 4096   directory
Device: fd33h/64819d	Inode: 46143623    Links: 3
Access: (0755/drwxr-xr-x)  Uid: (    0/    root)   Gid: (    0/    root)
Context: system_u:object_r:glusterd_brick_t:s0
Access: 2018-05-24 01:59:05.628901222 -0400
Modify: 2018-05-24 01:59:05.680900941 -0400
Change: 2018-05-24 02:08:59.126704651 -0400
 Birth: -

Version-Release number of selected component (if applicable):
3.12.2-11.el7rhgs.x86_64

How reproducible:
1/1

Steps to Reproduce:
====================
1) Create a distributed-replicated volume and start it.
2) FUSE mount it on a client.
3) From client create few directories of depth 3.
4) Now, bring down few dht sub-vols using gf_attach command. (I brought down 2 dht sub-vol and 1 brick in another replica pair)
5) Make metadata changes to the directories. like uid, gid, perms, setxattr
6) Bring back the down sub-vols.
7) Check all the bricks for consistency.

Actual results:
===============
Inconsistent access permissions on directories after bringing back the down sub-volumes.

Expected results:
================
Directory perms should be consistent across all the bricks.

Comment 10 Prasad Desala 2018-08-13 07:09:54 UTC
Verified this BZ on glusterfs version: 3.12.2-15.el7rhgs.x86_64.

Directory access perms now are consistent after bringing back the down sub-volumes. Moving this BZ to Verified state.

Comment 11 errata-xmlrpc 2018-09-04 06:48:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.